Favicon

You are here: Home > API Reference > Workspace > Uploads > Upload image file

Upload image file

Required Permission: base.upload.action.uploadLogo

Upload image file to serve as logo for Organizations and Applications

POST
/v1/upload/logo/logo
Copy to clipboard

Upload image file

Required Permission: base.upload.action.uploadLogo

Upload image file to serve as logo for Organizations and Applications

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
≤ 128 characters
url string optional
≤ 256 characters
{
    "status": true,
    "data": {
        "id": "string",
        "url": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5007
message string optional
File extension not allowed
{
    "status": false,
    "error": {
        "code": 5006,
        "message": "No File Found in request"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}